aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDimitry <dimitry@ethereum.org>2018-08-27 20:48:20 +0800
committerDimitry <dimitry@ethereum.org>2018-11-20 05:49:16 +0800
commit6096d6bf16ac548b208ec8a88baa61cd9ec83587 (patch)
tree22404569510a3bc2889ec4379775131c80ed2928
parent74cc22b8f06e61bd1313df35848ed8e5f774e571 (diff)
downloadtangerine-tests-retestethcfg.tar
tangerine-tests-retestethcfg.tar.gz
tangerine-tests-retestethcfg.tar.bz2
tangerine-tests-retestethcfg.tar.lz
tangerine-tests-retestethcfg.tar.xz
tangerine-tests-retestethcfg.tar.zst
tangerine-tests-retestethcfg.zip
retesteth client configsretestethcfg
-rw-r--r--Retesteth/eth/config2
-rw-r--r--Retesteth/eth/eth.sh19
-rw-r--r--Retesteth/parity/config5
-rwxr-xr-xRetesteth/parity/parity.sh17
4 files changed, 40 insertions, 3 deletions
diff --git a/Retesteth/eth/config b/Retesteth/eth/config
index 211eea22f..f03b39e78 100644
--- a/Retesteth/eth/config
+++ b/Retesteth/eth/config
@@ -1,5 +1,5 @@
{
- "name" : "CPP Client",
+ "name" : "Ethereum cpp-client",
"socketType" : "ipc",
"socketAddress" : "local"
}
diff --git a/Retesteth/eth/eth.sh b/Retesteth/eth/eth.sh
index a822578d7..832408801 100644
--- a/Retesteth/eth/eth.sh
+++ b/Retesteth/eth/eth.sh
@@ -1,2 +1,17 @@
-echo "Starting $1 $2"
-eth --test --db-path $1 --ipcpath $2 --log-verbosity 4
+#!/bin/bash
+onexit()
+{
+ kill $child
+}
+trap onexit SIGTERM
+trap onexit SIGABRT
+
+##ARGUMENTS PASSED BY RETESTETH
+##
+## $1 <db-path> A path to database directory that a client should use
+## $2 <ipcpath> A path to the ipc socket file (has /geth.ipc at the end)
+#####
+
+eth --test --db-path $1 --ipcpath $2 --log-verbosity 5 &
+child=$!
+wait "$child"
diff --git a/Retesteth/parity/config b/Retesteth/parity/config
new file mode 100644
index 000000000..85bc16a9b
--- /dev/null
+++ b/Retesteth/parity/config
@@ -0,0 +1,5 @@
+{
+ "name" : "Parity Client",
+ "socketType" : "ipc",
+ "socketAddress" : "local"
+}
diff --git a/Retesteth/parity/parity.sh b/Retesteth/parity/parity.sh
new file mode 100755
index 000000000..832408801
--- /dev/null
+++ b/Retesteth/parity/parity.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+onexit()
+{
+ kill $child
+}
+trap onexit SIGTERM
+trap onexit SIGABRT
+
+##ARGUMENTS PASSED BY RETESTETH
+##
+## $1 <db-path> A path to database directory that a client should use
+## $2 <ipcpath> A path to the ipc socket file (has /geth.ipc at the end)
+#####
+
+eth --test --db-path $1 --ipcpath $2 --log-verbosity 5 &
+child=$!
+wait "$child"